Last Comment Bug 312792 - Crash exposing dynamically changing <option> lists
: Crash exposing dynamically changing <option> lists
Status: VERIFIED FIXED
: access, fixed1.8
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: Aaron Leventhal
:
Mentors:
http://www.creative.com/language.asp
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 21:08 PDT by Aaron Leventhal
Modified: 2005-10-20 12:59 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
SetNextSibling(nsnull) on the last <option> cached (1.08 KB, patch)
2005-10-17 21:10 PDT, Aaron Leventhal
parente: review+
bzbarsky: superreview+
asa: approval1.8rc1+
Details | Diff | Review

Description Aaron Leventhal 2005-10-17 21:08:56 PDT
We're not setting the end of the list correctly when we cache a group of <option>'s.

As a result, options lists can crash when you get next sibling.

Steps to repro:
1. Launch Window-Eyes
2. Go to http://www.creative.com/language.asp
3. Type Ctrl+Shift+A to turn off browse mode
4. Click on the first list
5. Down arrow

Firefox will crash
Comment 1 Aaron Leventhal 2005-10-17 21:10:38 PDT
Created attachment 199894 [details] [diff] [review]
SetNextSibling(nsnull) on the last <option> cached
Comment 2 Boris Zbarsky [:bz] 2005-10-17 21:27:22 PDT
Comment on attachment 199894 [details] [diff] [review]
SetNextSibling(nsnull) on the last <option> cached

sr=bzbarsky, but I have to confess I have no idea what this code is doing (and
no time to sort it out).
Comment 3 parente 2005-10-18 08:44:55 PDT
Comment on attachment 199894 [details] [diff] [review]
SetNextSibling(nsnull) on the last <option> cached

Do you need to check if the QI succeeds on lastGoodAccessible before using it?
Comment 4 Aaron Leventhal 2005-10-18 08:51:56 PDT
(In reply to comment #3)
> (From update of attachment 199894 [details] [diff] [review] [edit])
> Do you need to check if the QI succeeds on lastGoodAccessible before using it?

No, it will always succeed. We put assertions in sometimes but it will never get
hit.
Comment 5 Aaron Leventhal 2005-10-18 12:26:14 PDT
This has been tested by GW Micro in a special build created for them.
Comment 6 Dan Kinnunen 2005-10-19 09:05:36 PDT
Verified that this has been fixed in dev build 10/18/05 build from aaron.
Comment 7 Aaron Leventhal 2005-10-19 14:08:15 PDT
Verified by Doug Geoffray from GW Micro.

Note You need to log in before you can comment on or make changes to this bug.